// -------------------------------------------------------------------------------------------------
// xsMenuOpcion.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye la librería
#include "xsEasyCpp.hpp"

#ifndef __xsMenuOpcion_hpp__
#define __xsMenuOpcion_hpp__

Clase xsMenuOpcion : Publica xsObjeto
{
	Publica:

	    xsMenuOpcion();

		Vacio crear(xsCadena     texto, 
		            xsOpcionMenu tipo);

		xsMenuOpcion(xsCadena     texto, 
		             xsOpcionMenu tipo);

		xsMenuOpcion(xsCadena texto, 
		             xsCadena iconNombre, 
					 Logico   libreria);

		Vacio colocarTexto(xsCadena titulo);    

		Vacio agregarAcelerador(xsCadena             senal, 
		                        xsGrupoAceleradores* aceleradores, 
								SinSigno Entero      acelerador);
		
};

// Fin de la Definición del Archivo
#endif
